#!/bin/bash
#
# iniciar.sh - Inicia o software spLinker
#
# Site      :  http:\\splink.cria.org.br\splinker
# Autor     :  Diego Rocha <diego@cria.org.br>
# Manuteno:  Diego Rocha <diego@cria.org.br> 
#
# ----------------------------------------------------------

SPLINKER_HOME=$(pwd)

#-------------------------------------

VerifyUpdate() {
    if [ -e "$SPLINKER_HOME/update.zip"  ]; then
         TestFlag
    fi 
}

#-------------------------------------

TestFlag() {
    if [ -e "$SPLINKER_HOME/update.flag"  ]; then
        #Test to avoid "Warning: TZ environmente variable not found"
        if [ -z $TZ ]; then
           TZ=0
        fi
        unzip -qq -o  "$SPLINKER_HOME/update.zip" 
        rm -f "$SPLINKER_HOME/update.flag" 
        rm -f "$SPLINKER_HOME/update.zip" 
    fi 
}

#-------------------------------------

VerifyJRE() {
    if [ -d "$SPLINKER_HOME/jre/"  ]; then
       JAVA_HOME=$SPLINKER_HOME/jre
       spLinker
    else
       if [ -n $JAVA_HOME ]; then
         spLinker
       else
          ERRO   
       fi
    fi 
}

#-------------------------------------

ERRO(){
      echo "Mquina Virtual Java no encontrada"
      echo "Voc necessita instalar a JDK 1.4.2 para utilizar este software"
      echo "Ou setar seu JAVA_HOME para o diretrio correto"	
}

#-------------------------------------

spLinker() {

   $JAVA_HOME/bin/java -cp .:splinkermain.jar:updater.jar:splinker.jar br.org.cria.splinker.SpLinker

}

#-------------------------------------

Iniciar() {
   VerifyUpdate
   VerifyJRE
}

#-------------------------------------

Iniciar



